Summary: Willows Twin Libraries - cross-platform implementation of the Windows API's  
Name: twin
%define version 3.1.5
Version: %{version}
Release: 1
Copyright: GPL
Group: X Windows/Emulators
Source: ftp://ftp.willows.com/pub/twin-src-%{version}.tar.gz
Patch0: twin-3.1.5-rh.patch
BuildRoot: /var/tmp/twin-root
ExclusiveArch: i386

%description
Willows Twin Libraries are a cross platform implementation of the Windows
API's.  It is available to support both win 3.x 16bit interface as well as the
win32 32bit interface. 

As far as this software is concerned, we are a cross between source level
products such as Mainsoft and Bristol, and the binary software efforts such as
Wabi, Insignia Solutions and wine. 

Twin has three notable features:
	1)      Runs on all major Unix platforms, not just intel.
	2)      Twin is not just a Unix solution, Twin supports
		several operating systems, and several different
		graphics systems.
	3)      Supports intel code execution even on risc platforms,
		through cpu emulation, allowing print drivers, and
		third party dll's to run.

The Willows Twin Libraries come in two parts, the first the platform
independent Windows compatible libraries, and the second the platform
dependent interface layer.  The libraries are available in either the
traditional archive library format as well as a dynamically loadable shared
libraries. 

%changelog
* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.1.5

* Mon Nov 24 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc

%prep
%setup -c
for i in *.tgz ; do tar xzf $i ; done
%patch0 -p1 -b .rh
chown -Rf root.root twin

%build
cd twin/%{version}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-optimization --enable-bin32
make depend clean
make

%install
rm -rf $RPM_BUILD_ROOT
cd twin/%{version}
make install prefix=$RPM_BUILD_ROOT/usr \
	INSTALLDIR=$RPM_BUILD_ROOT/usr
chmod 644 template/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/bin/*
/usr/lib/*
/usr/include/twin
%doc twin/%{version}/template/*
%doc twin/%{version}/{FAQ,README,CHANGELOG}
